
%global meadversion 1.0
%global namedversion 1.0-SP4-redhat-4
%global meadalpha .SP4_redhat_4
%global meadrel .1
%global serial 10

%bcond_without mead
%bcond_with javadoc

%define mavengroup javax.enterprise
%define artifact0 cdi-api

%define maven_version 1.0-SP4-redhat-4

Name:      weld-cdi-1.0-api
Version:   %{meadversion}
Release:   %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:     0
Summary:   CDI APIs
License:   ASL 2.0
Group:     Development/Java

%if %with mead
Source100: cdi-api-1.0-SP4-redhat-4-scm-sources.zip
Source101: cdi-api-1.0-SP4-redhat-4-patches.zip
Source102: cdi-api-1.0-SP4-redhat-4-javadoc.jar
Source103: cdi-api-1.0-SP4-redhat-4.jar
Source104: cdi-api-1.0-SP4-redhat-4.pom
Source105: cdi-api-1.0-SP4-redhat-4-sources.jar
%endif

URL:       http://www.seamframework.org/Weld

BuildRequires:    jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         jpackage-utils

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
APIs for JSR-299: Contexts and Dependency Injection for Java EE.

%if %with javadoc
%package javadoc
Summary:   Javadoc for %{name}
Group:     Development/Documentation

Requires:  jpackage-utils

%description javadoc
API documentation for %{name}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/jboss
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.jar %{buildroot}%{_javadir}/jboss/%{artifact0}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss/%{artifact0}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/jboss && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.jboss-%{artifact0}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{namedversion} JPP/jboss %{artifact0}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{artifact0}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/jboss
%{_javadir}/jboss*/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Tue Apr 08 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0-10.SP4_redhat_4.1
- Rebuild wrapper

* Tue Apr 08 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0-10.SP4_redhat_4.1
- BZ-1014521

* Thu Sep 19 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0-9.SP4.redhat_3
- Rebuild for EAP 6.2

* Sat Dec 22 2012 David Walluck <dwalluck@redhat.com> 0:1.0-8
- fix Release tag

* Sat Dec 22 2012 David Walluck <dwalluck@redhat.com> 0:1.0-7
- fix broken maven support
- remove buildroot in install
- add clean section
- fix bad file ownership
- fix bad version in file names
- fix bad permissions
- version file and add unversioned symlink
- ignore test failures

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-6.SP4_redhat_2.5
- Rebuild for MD5

* Fri Aug 24 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0-5.SP4_redhat_2.5
- Rebuild unsigned for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-5.SP4_redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-5.SP4_redhat_2.3
- Rebuild unsigned

* Fri Jul 20 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-5.SP4_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-5.SP4_redhat_1.1
- Rebuild using cache signing

* Thu May 03 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0-5.SP4_redhat_1
- Rebuild
- Fix release tag numbering
- Remove repository definitions from the pom.xml
- Fix manifest related issues

* Wed Mar 14 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0-4_SP4_redhat_1.2
- Update RPM wrapper structure

* Tue Feb 28 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0-4_SP4_redhat_1.1
- Rebuild with javadir-signed

* Wed Feb 08 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0-4_SP4_redhat_1
- Update RPM wrapper structure for EAP 6

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0-3_SP4_redhat_1
- Rebuild to use new signing key

* Tue Aug 23 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0-2_SP4_redhat_1
- Remove duplicate dependency management

* Thu Aug 18 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0-1_SP4_redhat_1
- Patched by vman
- Fix JBoss Specs deps

* Mon Aug 01 2011 Weinan Li <weli@redhat.com> 0:1.0-1
- Adapt for EAP 6
- no repolib when building with MEAD
